mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(true)

Asymmetric key exchange formatters encrypt key exchange data.

Key exchange allows a sender to create secret information, such as random data that can be used as a key in a symmetric encryption algorithm, and use encryption to send it to the intended recipient.

It is highly recommended that you not attempt to create your own key exchange method from the basic functionality provided, because many details of the operation must be performed carefully in order for the key exchange to be successful.

Represents the base class from which all asymmetric key exchange formatters derive.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  You cannot create an instance of an abstract class. Application code will create a new instance of a derived class.

  Use to set the key before calling .

  Initializes a new instance of .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] ``

  This data can only be interpreted by the holder of the private key corresponding to the public key used to encrypt the data. This helps to ensure that only the intended recipient can access the secret information.

  When overridden in a derived class, creates the encrypted key exchange data from the specified input data.

  The encrypted key exchange data to be sent to the intended recipient.

  The secret information to be passed in the key exchange.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] `` ``

  This data can only be interpreted by the holder of the private key corresponding to the public key used to encrypt the data. This helps to ensure that only the intended recipient can access the secret information.

  When overridden in a derived class, creates the encrypted key exchange data from the specified input data.

  The encrypted key exchange data to be sent to the intended recipient.

  The secret information to be passed in the key exchange. This parameter is not used in the current version.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  When overridden in a derived class, gets the parameters for the asymmetric key exchange.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  You must set a key before calling a implementation.

  When overridden in a derived class, sets the public key to use for encrypting the secret information.

  The instance of the implementation of that holds the public key.